Bug 445295 - Improperly fomated ftp string results in crash
Improperly fomated ftp string results in crash
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
9
All Linux
low Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-05 19:51 EDT by Brennan Ashton
Modified: 2008-06-21 16:28 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-21 16:28:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brennan Ashton 2008-05-05 19:51:57 EDT
Description of problem:

When a non-anonymous ftp server is the install media source, and the URL string
is improperly formated the installer will crash.

Version-Release number of selected component (if applicable):


How reproducible:
Every time.

Steps to Reproduce:

During install select URL as installation source
point to a non-anonymous ftp server improperly such as,
ftp://usr@ip/path

Actual results:

anaconda crashes as shown bellow,

loader received SIGSEGV!  Backtrace:
/sbin/loader(loaderSegvHandler+0xa0)[0x804fd30]
[0x12e400]
/sbin/loader(urlMainSetupPanel+0x3f3)[0x8069413]
/sbin/loader(mountUrlImage+0x2c8)[0x8061988]
/sbin/loader(main+0xfc6)[0x8051336]
/lib/libc.so.6(__libc_start_main+0xe6)[0x4355d6]
/sbin/loader[0x804ddd1]
install exited abnormally [1/1]
sending termination signals...done
sending kill signals...done
disabling swap...
unmounting filesystems...
	/proc done
	/dev/pts done
	/sys done
you may safely reboot your system

Expected results:

Fail to connect and re-request URL either at this point or later at the package
selection, informing that meta data could not be found like an incorrect address
would.

Additional info:
Comment 1 Brennan Ashton 2008-05-05 20:00:03 EDT
this is package:
anaconda-11.4.0.81-1
Comment 2 Chris Lumens 2008-05-06 18:12:45 EDT
This should be fixed in anaconda-11.4.0.82-1.
Comment 3 Bug Zapper 2008-05-14 06:41:41 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.